extends RigidBody3D

@export var force:float = 20.0

func _physics_process(delta):
	if Input.is_action_pressed("player_up"):
		angular_velocity.x -= force*delta
	elif Input.is_action_pressed("player_down"):
		angular_velocity.x += force*delta

	if Input.is_action_pressed("player_left"):
		angular_velocity.z += force*delta
	elif Input.is_action_pressed("player_right"):
		angular_velocity.z -= force*delta
